<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class expert extends Model
{
    protected $table = "experts";
    protected $fillable = ['client_id', 'file_id', 'date', 'time',  'missionAuthority', 'expertName',  'value', 'type', 'subject', 'details', 'created_at', 'updated_at'];
    protected $hidden = ['created_at, updated_at'];


    public function clients()
    {
        return $this->belongsTo('App\Models\Client', 'client_id');
    }


    public function files()
    {
        return $this->belongsTo('App\Models\file', 'file_id');
    }
}



